xscreensaver on Ubuntu 11.10 isn't disabled

Reported by Jeffery To on 2011-10-20
46
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Caffeine
Medium
Isaiah Heyer
Ubuntu
Undecided
Unassigned

Bug Description

I'm using Caffeine 2.2 (bzr 402) on Ubuntu 11.10. Since GNOME 3 only blanks the screen on idle, I've uninstalled gnome-screensaver and installed xscreensaver (as described at http://www.webupd8.org/2011/10/things-to-tweak-after-installing-ubuntu.html).

When my computer goes idle, xscreensaver is activated even if I've set Caffeine to disable the screensaver.

In my .xsession-errors, I see these lines:

(20 Oct 2011) 15:26:06 INFO: Attempting to detect screensaver/powersaving type... (0 dbus failures so far)
2011-10-20 15:26:06,264 [INFO] caffeinelogging(110): Attempting to detect screensaver/powersaving type... (0 dbus failures so far)
(20 Oct 2011) 15:26:06 INFO: Successfully detected screensaver and powersaving type: Gnome3
2011-10-20 15:26:06,275 [INFO] caffeinelogging(110): Successfully detected screensaver and powersaving type: Gnome3
(20 Oct 2011) 15:26:06 INFO: Caffeine is now preventing powersaving modes and screensaver activation (Gnome3)
2011-10-20 15:26:06,380 [INFO] caffeinelogging(110): Caffeine is now preventing powersaving modes and screensaver activation (Gnome3)

So it looks like Caffeine has detected I'm using the GNOME 3 screensaver, even though I'm using xscreensaver.

Changed in caffeine:
assignee: nobody → Isaiah Heyer (freshapplepy)
importance: Undecided → Medium
status: New → Fix Committed
Rene Hasekamp (hasekamp) wrote :

This looks like the bug I just reported for Lubuntu 11.10, using caffeine 2.4.1. Caffeine for me is not working with any screensaver. If there is a fix, then it apparently is not working for all *buntus and all screensavers!.

Changed in ubuntu:
status: New → Invalid
Reuben Thomas (rrt) on 2013-12-09
Changed in caffeine:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers